import java.io.File;
import java.io.IOException;
import java.util.Scanner;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * Created by thook on 10/7/15.
 */
public class HamletParser {

    private String hamletData;

    public HamletParser(){
        this.hamletData = loadFile();
    }

    private String loadFile(){
        ClassLoader classLoader = getClass().getClassLoader();
        File file = new File(classLoader.getResource("hamlet.txt").getFile());
        StringBuilder result = new StringBuilder("");

        try(Scanner scanner = new Scanner(file))
        {
            while(scanner.hasNextLine())
            {
                String line = scanner.nextLine();
                result.append(line).append("\n");
                //String horatioToTariq = changeHoratioToTariq(changeHamletToLeon(line));
                //result= result.append(changeHoratioToTariq(changeHamletToLeon(line)));
                //result.append("\n");
                //System.out.println(result);
            }
        }catch(IOException e){
            e.printStackTrace();
        }
        return result.toString();
    }
    public static String changeHamletToLeon(String line)
    {
        int count=0;
        Pattern patternHamlet =Pattern.compile("\\bHamlet\\b",Pattern.CASE_INSENSITIVE);
        // compile method will accept a regular expression
        Matcher m1=patternHamlet.matcher(line);//performs match operations against an input string
        String str1=((Matcher) m1).replaceAll("Leon");
        return str1;
    }

    public static String changeHoratioToTariq(String line) {
        int count=0;
        Pattern patternHoratio =Pattern.compile("\\bHoratio\\b",Pattern.CASE_INSENSITIVE);
        Matcher m2=patternHoratio.matcher(line);
        String str2=((Matcher) m2).replaceAll("Tariq");

        return str2;

    }
    public String getHamletData()
    {
        return hamletData;
    }

    public int FindHoratio()
    {
        int count=0;
        Pattern patternHoratio =Pattern.compile("\\bHoratio\\b",Pattern.CASE_INSENSITIVE);
        Matcher m2=patternHoratio.matcher(hamletData);

        while(m2.find())
        {
            count++;
        }
        return count;
    }
    public int FindHamlet()
    {
        int count=0;
        Pattern patternHamlet =Pattern.compile("\\bHamlet\\b",Pattern.CASE_INSENSITIVE);
        Matcher m2=patternHamlet.matcher(hamletData);

        while(m2.find())
        {
            count++;
        }
        return count;
    }

    public static void main(String[] args) {
        HamletParser hamletParser=new HamletParser();
        
    }

}
