import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }


    @Test
    public void testChangeHamletToLeonCount() {

        String actual=hamletParser.changeHamletToLeon(hamletText);
        Assert.assertTrue(actual.contains("Leon"));
    }


    @Test
    public void testFindHoratio() {
        int expected=158;
        int actual=hamletParser.FindHoratio();
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void testChangeHoratioToTariqCount()
    {

        String actual=hamletParser.changeHoratioToTariq(hamletText);
        Assert.assertTrue(actual.contains("Tariq"));
    }
    @Test
    public void testFindHamlet() {
        int expected=471;
        int actual=hamletParser.FindHamlet();
        Assert.assertEquals(expected, actual);
    }
}